LinuxQMISDK: LTESysInfo Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
LTESysInfo Struct Reference

## Data Fields
sysInfoCommon | sysInfoLTE
BYTE | lacValid
WORD | lac
BYTE | cellIdValid
ULONG | cellId
BYTE | regRejectInfoValid
BYTE | rejectSrvDomain
BYTE | rejCause
BYTE | networkIdValid
BYTE | MCC [3]
BYTE | MNC [3]
BYTE | tacValid
WORD | tac

## Detailed Description

Structure for storing the LTE System Information.

Parameters

  sysInfoLTE | See sysInfoCommon for more information.
  lacValid | Indicates whether the location area code is valid.. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  lac | Location area code. Only applies to 3GPP. 0xFFFF - Not Available
  cellIdValid | Indicates whether the cell ID is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  cellId | Cell ID. 0xFFFFFFFF - Not Available
  regRejectInfoValid | Indicates whether the registration reject information is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  rejectSrvDomain | Type of service domain in which the registration is rejected. 0x00 - SYS_SRV_DOMAIN_NO_SRV - No service 0x01 - Circuit-switched only 0x02 - Packet-switched only 0x03 - Circuit-switched and packet-switched 0x04 - Camped 0xFF - Not Available
  rejCause | Reject cause values sent are specified in [3GPP TS 24.008, Section 10.5.3.6]. 0xFF - Not Available
  networkIdValid | Indicates whether the network ID is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  MCC[PLMN_LENGTH] | Mobile Country Code. MCC digits in ASCII characters
  MNC[PLMN_LENGTH] | Mobile Network Code. MNC digits in ASCII characters An unused byte is set to 0xFF.
  tacValid | Indicates whether tracking area code is valid. 0x00 - Invalid 0x01 - Valid 0xFF - Not Available
  tac | Tracking area code. Only applicable for LTE. 0xFFFF - Not Available

## Field Documentation

ULONG LTESysInfo::cellId

BYTE LTESysInfo::cellIdValid

WORD LTESysInfo::lac

BYTE LTESysInfo::lacValid

BYTE LTESysInfo::MCC[3]

BYTE LTESysInfo::MNC[3]

BYTE LTESysInfo::networkIdValid

BYTE LTESysInfo::regRejectInfoValid

BYTE LTESysInfo::rejCause

BYTE LTESysInfo::rejectSrvDomain

sysInfoCommon LTESysInfo::sysInfoLTE

WORD LTESysInfo::tac

BYTE LTESysInfo::tacValid